<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="3.0">
    
    <xsl:output method="text" />
    
    <xsl:template match="/">
        <xsl:apply-templates />
    </xsl:template>
    
    <xsl:template match="Document">
        <xsl:apply-templates mode="TableOfContents" />
        <xsl:apply-templates />
    </xsl:template>
    
    <xsl:template match="Para" mode="TableOfContents">
        <xsl:text>Para ............</xsl:text>
    </xsl:template>
    
    <xsl:template match="Para">
        <xsl:value-of select="." />
    </xsl:template>
    
</xsl:stylesheet>