<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="3.0">
    
    <xsl:output method="xml" />
    
    <xsl:template match="/">
        <Document-Information>
            <xsl:value-of select="/Document/@classification" />
        </Document-Information>
    </xsl:template>
    
    <xsl:template match="Document">
        <xsl:text>At the root node (Document) </xsl:text>
        <xsl:text>Its classification is: </xsl:text>
        <xsl:value-of select="@classification" />
        <Document-Classification>
            <xsl:value-of select="/Document/@classification" />
        </Document-Classification>
    </xsl:template>
    
    <xsl:template match="Para">
        <Document-Classification>
            <xsl:value-of select="/Document/@classification" />
        </Document-Classification>
    </xsl:template>
    
</xsl:stylesheet>