<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="3.0">
 
    <xsl:output method="text"/>
    
    <xsl:template match="BookCatalogue">
        <xsl:stream href="BookCatalogue.xml">
            <xsl:fork>
                <xsl:sequence>
                    <xsl:result-document href="BookCount.txt">
                        <xsl:text>Number of books: </xsl:text><xsl:value-of select="count(Book)" />
                    </xsl:result-document>
                </xsl:sequence>
                <xsl:sequence>
                    <xsl:result-document href="BookAuthors.txt">
                        <xsl:text>Authors:
</xsl:text>
                        <xsl:for-each select="Book">
                            <xsl:value-of select="Author"/>
                            <xsl:text>
</xsl:text>
                        </xsl:for-each>
                    </xsl:result-document>
                </xsl:sequence>
            </xsl:fork>
        </xsl:stream>

    </xsl:template>

</xsl:stylesheet>