<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    version="3.0">
    
    <xsl:output method="xml" />
    
    <xsl:mode streamable="yes" />
    
    <xsl:template match="WeaponRelease">
        <Mission>
            <xsl:choose>
                <xsl:when test="../@type eq 'training'">
                    <xsl:text>Training Mission</xsl:text>
                </xsl:when>
                <xsl:when test="../@type eq 'actual'">
                    <xsl:text>Actual Mission</xsl:text>
                </xsl:when>
                <xsl:when test="../@type eq 'simulation'">
                    <xsl:text>Simulation Mission</xsl:text>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:message terminate="yes">Invalid Mission Type</xsl:message>
                </xsl:otherwise>
            </xsl:choose>
        </Mission>
    </xsl:template>
    
</xsl:stylesheet>