<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="3.0">
    
    <xsl:output method="xml" />
    
    <xsl:mode streamable="yes" />
    
    <xsl:template match="/">
        <Juicers>
            <xsl:for-each select="juicers/juicer">
                <Juicer>
                    <xsl:fork>
                        <xsl:sequence>
                            <Name><xsl:value-of select="name" /></Name>
                        </xsl:sequence>
                        <xsl:sequence>
                            <Cost><xsl:value-of select="cost[@currency eq 'USD']" /></Cost>
                        </xsl:sequence>
                    </xsl:fork>
                </Juicer>
            </xsl:for-each>
        </Juicers>
    </xsl:template>
    
</xsl:stylesheet>