<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:atom="http://www.w3.org/2005/Atom"
                version="3.0">
    
    <xsl:variable name="desiredNumberOfTitles" select="2" />
    
    <xsl:template match="/">
        <xsl:stream href="http://xmpp.wordpress.com:8008/firehose.xml?type=text/plain">
            <html>
                <body>
                    <xsl:iterate select="stream/atom:entry/atom:source/atom:title">
                        <xsl:param name="count" select="1" as="xs:integer"/>
                        <xsl:value-of select="."/>
                        <xsl:choose>
                            <xsl:when test="$count ge $desiredNumberOfTitles">
                                <xsl:break>
                                    <p>Number of Title Processed: <xsl:value-of select="$count"/></p>
                                </xsl:break>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:next-iteration>
                                    <xsl:with-param name="count" select="$count + 1"/>
                                </xsl:next-iteration>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:iterate>
                </body>
            </html>
        </xsl:stream>
    </xsl:template>
    
</xsl:stylesheet>