<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="3.0">
    
    <xsl:output method="xml" />
    
    <xsl:mode streamable="yes" />
    
    <xsl:template match="/">
        <Juicers>
            <xsl:for-each select="juicers/juicer">
                <xsl:variable name="juicer" select="copy-of(.)" />
                <Juicer>
                    <Name><xsl:value-of select="$juicer/name" /></Name>
                    <Cost><xsl:value-of select="$juicer/cost[@currency eq 'USD']" /></Cost>
                </Juicer>
            </xsl:for-each>
        </Juicers>
    </xsl:template>
    
</xsl:stylesheet>