<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:atom="http://www.w3.org/2005/Atom"
                version="3.0">
    
    <xsl:output method="text"/>
    
    <xsl:template match="/">
        <xsl:stream href="http://xmpp.wordpress.com:8008/firehose.xml?type=text/plain">
            <xsl:iterate select="stream/atom:entry/atom:source/atom:title">
                <xsl:param name="count" select="1" as="xs:integer"/>
                <xsl:value-of select="$count"/>
                <xsl:text>. </xsl:text>
                <xsl:value-of select="." />
                <xsl:text>    
</xsl:text>
                <xsl:next-iteration>
                    <xsl:with-param name="count" select="$count + 1"/>
                </xsl:next-iteration>
            </xsl:iterate>
        </xsl:stream>
    </xsl:template>
    
</xsl:stylesheet>